+++

title = "Pourquoi je ne crois pas au logiciel libre (partie 1)"
date = 2010-05-28
aliases = [ "post/2010/05/26/Pourquoi-je-ne-crois-pas-au-logiciel-libre-(partie-1)"]
[taxonomies]
tags = [ "logiciel libre" ]
+++
icrosoft, Apple, Google et Yahoo auront toujours plus de crédibilité à la barre qu'un barbu avec des lunettes…
<!-- more -->
Non, je ne crois pas aux logiciels libres, même si je vois/participe/contribue au vivier. Et pourquoi donc ? Simplement, parce que je pense sincèrement que si l'effort et l'éthique sont louables, la capacité du libre à subsister est intrinsèquement limitée par ses propres règles, à commencer par l'aspect juridique des licences.
# GPL-moi ça !

Les licences du libre (reconnues comme telles par la [FSF](http://www.fsf.org/)) sont nombreuses et variées. Néanmoins, on peut dégager quelques critères communs :
* Un code source ouvert ;
* La possibilité d'étudier librement ce code source ;
* La possibilité de réutiliser totalement, partiellement avec ou sans autorisation avec des conséquences ou non ce code source.

Je ne vais pas tout lister ici, d'abord parce que c'est chiant et ensuite, parce que ce n'est pas le fond du problème (je dis ça pour les 3-4 geeks au fond de la salle qui finiront bien par ramener leur fraise à un moment ou à un autre !).

Si certaines licences sont assez peu regardantes sur la réutilisation du code (la licence BSD permet de fermer du code à l'origine libre !), d'autres comme la [GPL](http://www.gnu.org/licenses/gpl.html) impose que l'utilisation de code libre rende le code résultant libre (on parle alors de licence contaminante). Se pose alors la question de la vérification du respect strict de ces licences.

Et comment fait-on cela ? Et bien, c'est tout simplement impossible. Il faut compter sur la bonne volonté de quelques bricolos siphonés du processeur pour décompiler des logiciels et regarder sous le capot (en toute illégalité et dans le non-respect le plus total de la licence d'utilisation des logiciels en question). Comment, dans un monde où essayer de comprendre comment marche telle ou telle appli peut rapporter quelques années de prison bien méritées, la [FSF|http://www.fsf.org/|en] peut-elle vérifier la bonne application des licences ? La réponse est triviale : elle ne peut pas. Et quand bien même elle débusquerait une faille, elle ne pourrait pas se payer l'armée de juristes assoiffés de sang nécessaires pour faire taire l'éditeur fautif.

Et je ne parle même pas des soucis un peu bord-cadre genre « Et si j'utilise un langage libre pour programmer un truc pas libre ? ».

# Le brevet n'est pas ton ami

Le logiciel libre étant en général fait par un troupeau de hippies barbus communistes, il est pauvre. En dehors de quelques projets sponsorisés, à des fins tout sauf altruistes, par des grands pontes de l'industrie, la plupart des logiciels libres naissent, vivent et meurent dans un garage entre une odeur d'aisselles rances et une machine à café.

Le logiciel libre est donc non seulement sans moyen ou presque pour faire respecter ses beaux principes, mais en plus il ne peut pas se permettre de violer un brevet logiciel ou une licence déjà existante. Concrètement, cela veut dire que le développeur d'un codec pour lire du pr0n en WMV est dans l'illégalité la plus complète sur une grande partie de la planète et que tous ses utilisateurs peuvent très bien écoper de lourdes amendes pour l'avoir simplement regardé la codaz avec un peu trop d'insistance.

Il faut donc trouver des contournements aux brevets, perdre du temps [à réinventer la roue carrée](http://fr.wikipedia.org/wiki/R%C3%A9inventer_la_roue_carr%C3%A9e), le tout sans jamais espérer une retombée économique.

# Foutaises

Comme tu peux le voir, il y a donc déjà un premier problème majeur d'ordre juridique qui fait que je ne pense pas que le logiciel libre pourra percer un jour. Si une entreprise bien connue décide [de breveter le clic de souris](http://www.pcinpact.com/actu/news/Microsoft_le_double_click_et_les_derives_du_brevet.htm), l'ensemble des logiciels libres l'utilisant se retrouvera mis au placard à moins de raquer.

Et comme tu l'as vu en première partie, le simple fait de faire respecter une licence peut devenir une vraie gageure quand on a pas les moyens d'avoir à sa botte les 4 cavaliers de l'apocalypse version Ally McBeal.
