+++

title = "Pourquoi je ne crois pas au logiciel libre (partie 2)"
date = 2010-07-02
aliases = [ "post/2010/07/02/Pourquoi-je-ne-crois-pas-au-logiciel-libre-(partie-2)"]
[taxonomies]
tags = [ "logiciel libre" ]
+++
C'est la crise ma pauv' dame…
<!-- more -->
Comme on l'a déjà vu précédemment, [le logiciel libre est pauvre](/pourquoi-je-ne-crois-pas-au-logiciel-libre-partie-1/). Alors non seulement, il n'a pas les moyens de lutter contre le logiciel propriétaire sur le terrain juridique, mais il a encore moins les moyens de lutter sur le plan purement financier et économique.

# Business PAN!

Quand un projet libre se lance et qu'il commence à grossir (en fait, quand la quantité de café consommé la nuit sur le projet est plus importante que la journée au boulot), se pose souvent la question, au sein de ces fondateurs, de savoir comment ils vont fonctionner. [Beaucoup de modèles économiques existent](http://aful.org/professionnels/modeles-economiques-logiciels-libres/differents-modeles) mais en réalité très peu fonctionnent. Soyons même parfaitement honnête, le seul modèle qui fonctionne réellement est celui du mécénat : c'est ce qui a permis à Ubuntu et à la Mozilla Foundation d'être ceux qu'ils sont aujourd'hui.

Sans l'apport massif de capitaux de Mark Shuttleworth d'un côté et de Google Sponsoring de l'autre, ces deux projets ne seraient certainement pas aussi florissants aujourd'hui. En dehors de cela ? Le désert. Peu d'entreprises, qui ne survivent en général pas très longtemps.

ême une entreprise bien installée sur ce marché comme [Red Hat a une croissance très limitée](http://philippe.scoffoni.net/lindustrie-logiciel-open-source-ressembler-a-logiciel-proprietaire/). Et elle n'est pas à l'abri qu'un concurrent reprenne tout son travail ([CentOS par exemple…](http://www.centos.org)) et le mette à disposition d'une nouvelle clientèle pour moins cher. Après tout, le code source est libre, non ?

# Tout est question de brouzoufs

« Vous avez déjà Windows 2008 Server ? Prenez donc une licence SQL Server 2008, c'est gratuit pour vous la première année ! ». Merci M. Lobby. La main mise et la base de clients énormes de certaines compagnies freinent également beaucoup certains projets Open Source. Comment contrer les outils de communication, de marketing et de promotion d'un géant du logiciel qui brassent des millions quand on est à peine capable de ne pas se faire mettre à la porte des deux pauvres bureaux qu'on a loué les yeux de la tête pour héberger une start-up spécialisé en open-source ? C'est simple : on ne peut pas. Il faut compter sur le bouche-à-oreille et la bonne volonté de quelques maoïstes infiltrés dans les DSI du monde entier qui tentent désespérément de faire comprendre à tous leurs collègues que le logiciel libre « CAY MIEUX » et « CAY PLUS LOL ».

ais il y a pire encore. Les rachats de projet ouvert sont de plus en plus fréquents. En fait, dès qu'un projet commence à émerger, on peut être pratiquement sûr qu'il sera racheté par une grosse boîte d'édition de logiciels, qui fera sûrement tout ce qu'elle peut pour changer la licence et ainsi empêcher la concurrence de produire du service ou des logiciels compatibles. Xen racheté par Citrix, MySQL racheté par Oracle, CUPS racheté par Apple ne sont que des exemples symptomatiques de cette pratique tellement commode : laisser les petits contributeurs indépendants et les étudiants faire le boulot et vendre le tout quand le projet a atteint un potentiel-pognon suffisant. Et les contributeurs et les utilisateurs ? Qui se préoccupe encore des barbus quand le chèque a plusieurs zéros…

« Oui mais comme le code est sous licence libre, on peut toujours faire un fork et continuer ! ». Oui, jeune padawan, tu as bien appris ta leçon. Mais qui va-t-on trouver pour continuer ? Le crève-la-faim qui était à l'origine du projet et qui est bien content d'avoir un salaire chez place-a-sofware-company-here, et qui est maintenant lié par un contrat de travail et un NDA ? Ça fait des années qu'ils portent son projet à bout de bras, parfois dans les conditions les plus difficiles alors ça m'étonnerait sincèrement qu'il lâche tout pour des questions d'éthique et de philosophie pour continuer de développer dans un garage. Quelqu'un d'autre reprendrait le code ? Peu probable également. Il faut tout de même voir que malgré tout le talent de certaines équipes, les logiciels libres sont en général le fruit d'une poignée de programmeurs de génie qu'on ne peut jamais remplacer si facilement. Tu t'imagines reprendre le code source de MySQL ? Bon courage !

Difficile pour le hippie communiste de gagner sa maigre pitence dans ce monde de brutes.
