+++

title = "Pourquoi je ne crois pas au logiciel libre (partie 3)"
date = 2010-07-16
aliases = [ "post/2010/07/23/Pourquoi-je-ne-crois-pas-au-logiciel-libre-(partie-3)"]
[taxonomies]
tags = [ "logiciel libre" ]
+++

« Montrer que l'on a acheté l'Édition Intégrale Plaquée Or de Windows est un signe extérieur de richesse. Montrer que l'on a téléchargé la version 9.10 d'Ubuntu, non. »

<!-- more -->

Pour conclure cette série d'articles, je vais entamer le volet probablement le plus important, le plus capital, le plus essentiel. Oui, utiliser du logiciel libre, ça fait pauvre, radin, clodo, gitan… Et ça, nos chers Directeurs des Systèmes d'Informations ont beaucoup de mal à s'y résigner.

# « Pas assez cher mon fils. »
Parce crâner dans les réunions de directions en vantant son architecture révolutionnaire qui permet de faire la pluie, le beau temps, le café, la vaisselle et le ménage dans la salle-machine et qui a seulement coûté un bras et demi à l'entreprise, c'est quand même beaucoup plus valorisant que d'expliquer pourquoi utiliser du code source ouvert est important pour la transparence, l'évolutivité et la pérennité des solutions.

Aaaah… Solution… Le mot magique. Aujourd'hui une entreprise se moque éperdument du fait qu'un produit soit plus ou moins ouvert, l'enferme plus ou moins, la rende plus ou moins captive d'un éditeur. Non, aujourd'hui, la DSI standard cherche une « solution » pour répondre rapidement à un « besoin », au détriment de toutes ces considérations, pourtant basiques et permettant d'apporter des réponses bien plus pertinentes à long terme. Aucune importance tout cela, l'utilisateur/enfant gâté veut tout, tout de suite et veut en plus que le produit complètement fermé s'intègre parfaitement avec ses derniers caprices, chose qui serait bien plus simple à faire dans un environnement ouvert.

# Mafia du soft en force !!1!
Quant aux « standards de l'industrie » si chers à toutes les sociétés de services, c'est un sophisme dont nous n'avons pas encore mesurer toute l'absurdité. Sous prétexte que quelques grands groupes utilisent tel ou tel produit, on devrait automatiquement l'intégrer dans toutes les entreprises, quelque soit leur taille, leur métier ou leur spécificité. « Comment ? Vous n'avez pas insert-a-software-name-here dans votre infrastructure ? Bah, il va falloir mon bon Monsieur, parce que c'est un standard de l'industrie et que nous, on bosse avec… ». Navrant… Et je passe sur le tristement célèbre « Ah… Vous le faites tourner sous Linux… Désolé, on ne va pas être compatible alors… ».

ais le côté obscur du soft, l'informatique de gestion, est probablement la pire des mafias : n'importe quel logiciel de finance/comptabilité/paie, même le plus mal écrit, même le plus archaïque et le plus mal-pratique ne pourra probablement jamais être libre. Pourquoi ? Ils sont tous validés par les banques, les organismes financiers et des normes et brevets drastiques en terme de coût. C'est écrit avec les pieds, leur mise en œuvre est laborieuse, ils ont un coût prohibitif seulement voilà, ça concerne les pépettes, la thune, le pèse, donc l'entreprise est prête à mettre n'importe quel prix.

Et que dire des développeurs ? Pourvu qu'ils pondent le moins de lignes de code possible (moins de code = plus de glande sur Internet, on aurait du mal à les blâmer), ils se foutent éperdument que les logiciels, bibliothèques ou langages qu'ils utilisent soit propriétaires, fermés, soumis à brevet, etc… Après tout, ce qui compte c'est la solution.

# Thèse, anti-thèse, foutaises
Le logiciel libre, c'est avant tout une philosophie et une méthode. Les mentalités sont en train de changer (ou alors le nombre de hippies communistes inflitrés augementent, c'est selon…) mais c'est lent, très lent. Oui, des logiciels libres ont réussi à devenir des standards de l'industrie (Apache, Tomcat, MySQL, Linux dans une moindre mesure) mais l'évolution est lente et douloureuse et les problèmes sont encore nombreux.

Donc, je ne crois pas au logiciel libre. En tout cas, je ne pense pas qu'il pourra un jour devenir une évidence pour tout le monde, à tous les niveaux, particuliers ou professionnels. Non, cela restera une activité intéressante, une passion de bricoleurs, un formidable terrain d'expérimentation, une manière ingénieuse d'apprendre et de se former. Mais tant qu'il existera une industrie du logiciel, elle ne sera jamais libre.

Alors oui, je rêve d'un monde où tous les formats seraient ouverts, où tous les logiciels seraient libres et donc où tout ne serait que service, où les entreprises et les éditeurs de logiciels ne seraient jugés que sur leur compétence et non pas sur leur capacité à emprisonner des clients dans un portfolio applicatif contraignant. Mais ce monde n'existe pas et n'existera probablement jamais.
