+++

title = "Projet du week-end : monte ton propre chromebook mais avec des poils"
date = 2011-09-02
aliases = [ "post/2011/09/02/Projet-du-week-end-:-monte-ton-propre-chromebook-mais-avec-des-poils"]
[taxonomies]
tags = [ "bricole-picole" ]
+++

Une clé USB, un vieux netbook, un réseau Wi-Fi et deux litres de Coca. Voyons comment ces différents éléments peuvent interagir ensemble…

<!-- more -->

Le recyclage de PC, c'est un peu le scrapbooking du geek en vadrouille, l'artisanat pour informaticien, la petit touche de déco dans la maison façon Damidot avec de la barbe… 

Comme je te sens tout émoustillé, on va se faire un petit chromebook, le côté big brother en moins, avec une distrib' d'hommes, qui sent la bébête, ArchLinux.

# Installation de Arch

Ce que j'aime avec Arch, c'est que tout est simple. Suffit de prendre l'iso officiel et de le `dd` violemment sur une clé USB et ça marche, pas besoin de UnetBootin, de FedoraUSBCreator et autres conneries… Non, simple, efficace, presque soviétique…

Bref, je vais pas détailler l'installation de la distrib en elle-même, parce que c'est pas bien intéressant, juste quelques conseils pour un netbook :
*  Méfie-toi grandement des drivers de cartes rézo et notamment Wi-Fi : on est pas à l'abri d'un bricolage immonde, j'ai personnellement dû faire face à [ça](http://wireless.kernel.org/en/users/Drivers/b43) ; c'est pas bien compliqué, mais ça agace vite.
* Pour le partitionnement, ne me fais pas l'insulte de ne pas utiliser LVM. C'est pas parce qu'on en a pas besoin qu'il faut pas l'utiliser…
* Pour le choix des paquets, sauf prérequis spéciaux, contente-toi du strict minimum ;

Avec [la bonne doc qui va bien](https://wiki.archlinux.org/index.php/Official_Arch_Linux_Install_Guide), ça passe de toutes manières comme une lettre à la poste…

# Installation et configuration de netcfg

Dans la série « les outils de malades mentaux d'une simplicité crasse et d'une efficacité sans borne », je te présente `netcfg`. Kesseksa ? C'est tout simplement un gestionnaire de connexion, avec choix du profil qui marche intégralement en ligne de commande !

Il se trouve dans `core` et est parfaitement supporté par `/etc/rc.conf` (c'est suffisamment rare pour être signalé). Bon, comment que ça marche ? Une fois installé grâce à `pacman` (je te conseille d'ailleurs de jeter un œil sur les paquets recommandés, il y aura au moins besoin de `wpa_supplicant`), les profils sont stockés dans `/etc/network.d/` et quelques exemples sont dans `/etc/network.d/example/`.

Pour avoir la classe, suffit de repomper le fichier `/etc/network.d/example/wireless-wpa` en changeant les paramètres et évidemment le nom et en ajoutant bien entendu :
```
IPV6=STATELESS
```

Une fois cette opération réalisée, il faut aller commettre un autre forfait dans `/etc/rc.conf`, à savoir virer `network` et le remplacer par :
```
DAEMONS=(... net-profiles ...)
```

Tout en indiquant :
```
NETWORKS=(lenomduprofildeouf)
```

Correspondant au fichier dans `/etc/network.d/`. Et c'est tout ! Même Steve Jobs, paix à son âme *(NDLR : au moment de la rédaction de ces lignes, il n'est pas encore mort… Espérons que ce soit le cas d'ici à la publication…)*, peut aller se rhabiller question simplicité d'utilisation et ergonomie !

# Installation de Yaourt/ALSA/Xorg/FluxBox/gstreamer

Va maintenant falloir mettre un peu de sucre autour de tout ça. On va commencer par l'indispensable `yaourt` où ça se résume à peu de choses près à ça :
```
wget http://aur.archlinux.org/packages/package-query/package-query.tar.gz
tar zxvf package-query.tar.gz
cd package-query
makepkg -si
cd ..
wget http://aur.archlinux.org/packages/yaourt/yaourt.tar.gz
tar zxvf yaourt.tar.gz
cd yaourt
makepkg -si
cd ..
```

Il y a probablement besoin de tout un tas de saloperie pour faire tomber tout ça en marche (genre `gcc`), mais je te laisse le soin de trouver tout seul (faut pas déconner non plus, installer `yaourt`, ça devrait être du gâteau…).

Faut seulement une commande pour installer le reste :
```
useradd -m -g users filsdepute && yaourt -S xorg-server xorg-init xterm xorg-utils \
 xorg-server-utils xf86-video-<ta carte graphique de ouf> xf86-input-evdev dbus \
policykit consolekit fluxbox alsa gstreamer0.10-plugins && echo \
 "exec ck-launch-session startfluxbox" >> /home/filsdepute/.xinitrc && sed \
 -i 's/syslog-ng/syslog-ng dbus/' /etc/rc.conf && sed -i "s?id:3:initdefault:?id:5:initdefault:?;
s?x:5:respawn:/usr/bin/xdm -nodaemon?x:5:once:/bin/su - -- filsdepute -l -c '/usr/bin/startx \
 </dev/null >/dev/null 2>\&1'?" \\
 /etc/inittab && mkdir -p /home/filsdepute/.fluxbox/ && \
touch /home/filsdepute/.fluxbox/startup && chown -R \
filsdepute:users /home/filsdepute/ && chmod 750 \
 /home/filsdepute/.fluxbox/startup && setxkbmap fr bepo \
 >> /home/filsdepute/.fluxbox/startup
```

Ouais, je sais j'abuse un peu… Mais basiquement c'est ça : tout installer, créer l'utilisateur qui va bien, lui faire démarrer X automatiquement, lui mettre un clavier qui ressemble à quelque chose, mettre fluxbox dans X… Pfiou… Avec tout ça, reste plus qu'à redémarrer et admirer le bouzin en fonctionnement.

# Installation de Jumanji

[Jumanji](https://pwmt.org/projects/jumanji/) est un navigateur avec une interface utilisateur inspiré de `vi`. À base de Webkit, il est **beaucoup** plus léger que Firefox et comme tu as déjà installé gstreamer, il peut très bien lire des vidéos en HTML5 sans que ton minable processeur de netbook ne commence à souffrir le martyr.

Donc il ne reste plus qu'une chose :
```
yaourt -S jumanji
```

Ton projet du week-end est bouclé… PARTY TIME !!!§§!
