+++
title = "Threadivers : est-ce que ça peut marcher ?"
date = 2023-07-20
[taxonomies]
tags = [ "fédiverse", "threadiverse", "lemmy", "mastodon" ]
+++

![Why can’t I hold all those lemmy?](/6bf7ab41-b09f-43c6-8849-cee9c5884201.webp)

<!-- more -->

J’observe depuis quelques jours de plus près le Threadiverse, terme désormais consacré pour parler du (peut-être) successeur au (mal en point) Reddit : [Lemmy](https://join-lemmy.org/). Et si les alternatives sont toujours intéressantes, surtout quand elles sont libres et décentralisées, j’ai quand même un doute sur celle-ci en particulier.

Du coup, au lieu de faire un thread géant sous Mastodon, je vais essayer d’exposer ma pensée ici.

# Micro-blog, c’est comme du blog, mais en plus petit

Mastodon/Pleroma/d’autres trucs (les puristes m’excuseront, je ne connais pas tous les logiciels de micro-blog existants dans le Fédiverse) sont centrés sur des personnes : vous suivez tel journaliste, tel artiste, telle personne. Certes, vous pouvez suivre des mots-dièse (putain que je kiffe cette francisation complètement forcée et pas du tout naturel !), certes il y a des instances par centre d’intérêt mais globalement, ça reste centré sur l’individu.

C’est d’ailleurs à ce titre que les micro-instances relativement spécialisées ont du sens : on peut avoir une instance pour la rédaction d’un journal, on peut avoir une instance pour un partie politique, une institution, une entreprise. Tout cela a, je trouve, parfaitement du sens. Et d’ailleurs, avoir des instances relativement spécialisées en fonction des personnes que l’on peut y trouver est probablement la meilleure marche à suivre pour l’avenir du Fédiverse : qu’une instance Coca-Cola puisse parler à une instance Les Républicains qui elle-même puisse parler à une instance Mediapart, je trouve que tout cela a du sens.

D’autant plus qu’un journaliste de l’instance Mediapart pourrait très bien avoir un compte privé ailleurs dans des instances non-spécialisées, sans thème précis, comme il en existe déjà pas mal.

# Reddit est-il vraiment adapté à ce type de publication ?

Reddit est plus une sorte de forum universel. Il est organisé par centres d’intérêt : [r/gaming](https://reddit.com/r/gaming), [r/nintendo](https://reddit.com/r/nintendo), etc… On n’y suit pas des individus mais des sujets de conversation. Et c’est à ce titre **pas** un réseau social selon moi, la composante d’interaction individuelle étant extrêmement limitée, sans être complètement inexistante : on peut débattre de ce qui est publié ou le commenter, on peut y avoir des réactions et des interactions intéressantes, mais encore une fois, tout est centré autour de sujets particulier.

Vraiment comme un forum pour le coup. On peut y dévier, on peut avoir des conversations avec d’autres membres, mais l’essentiel reste quand même centré autour de sujets assez précis.

Du coup, je ne vois pas bien quelle forme finale pourrait prendre le Threadiverse. Si tu as un site web, n’as-tu pas plus intérêt à avoir un simple forum ? Si tu héberges une instance Lemmy, elle sera forcément centrée autour de quelques points d’intérêts puisque c’est comme ça que le logiciel le présente et l’organise.

> Remarque à moi-même : on pourrait discuter longtemps du fait que la façon de présenter les choses déforme l’usage des choses en question. Mais c’est probablement un débat pour un autre moment.

Second souci : Reddit est également un aggrégateur de liens, un endroit où l’on peut trouver classé par intérêt (nombre de haut-votes pour un sujet précis) et par centre d’intérêt des liens qui vont de toutes manières ailleurs. C’est d’ailleurs à la fois toute la qualité et tout le défaut de Reddit : il est la _front page of the Internet_, le premier truc que t’as intérêt à ouvrir, mais pour aller complètement ailleurs de toutes manières.

> Remarque à moi-même : là encore, on pourrait questionner la pertinence d’un site web à but lucratif qui ne peut que difficilement gérer de la rétention, mais encore une fois, c’est un débat pour un autre moment.

Lemmy pose alors aussi le souci du centre d’intérêt : on ne peut pas suivre tous les `gaming@<instance>` de toutes les instances. Du coup, le côté aggrégation, regroupement de tous les liens liés à un certain sujet et classés par une communauté de passionnés dudit sujet, on le perd également. Dit autrement, à partir du moment où il y a deux *r/nintendo*, il faut soit suivre les deux, soit les fusionner pour que cette composante aggrégateur retrouve de l’intérêt.

Donc en terme de topologie logique du Threadiverse, soit on va finir par avoir des instances tellement spécialisées que ça va recréer des centres (une instance spécialisée dans les sujets liés à Nintendo par exemple, une autre sur la politique, etc… mais bien une seule à chaque fois), soit il faudra une sorte de méta-annuaire ou une sorte de méta-aggrégateur pour tout retrouver facilement (et l’intérêt risque d’avoir tout en décentralisé en prend la aussi un coup).

# Conclusation dans ton fion

Voilà, je ne sais pas ce que va donner Lemmy. Parce que de manière générale, je suis assez mauvais pour les prédictions, surtout quand elles concernent le futur. Mais je vois déjà quelques soucis de base avec la façon dont il est organisé qui peuvent se résumer ainsi : un aggrégateur de liens décentralisés, ce n’est plus vraiment un aggrégateur ; une organisation peut fournir des comptes individuels identifiables sur le Fédiverse, peut ouvrir un forum pour des conversations plus centrées sur des sujets, je les vois mal ouvrir un Lemmy pour remplacer ça.

Bon après, y’a du shitpost de qualitay, donc voilà *glory to u/spez* et vive le Threadiverse !
