+++

title = "Ne m'appelez plus privé !"
date = 2019-02-25
aliases = [ "post/2019/02/25/Ne-m-appelez-plus-privé-!"]
[taxonomies]
tags = [ "internet", "messagerie" ]
+++

Tu peux m'appeler Simone si tu veux…

<!-- more -->

Les repas chez ma belle-famille le Dimanche après-midi sont une occasion unique pour moi de me confronter à la population de néophytes en matière de réseau et d'informatique que constituent la majorités des gens. Mes beaux-parents sont un terrain d'expérimentation pratiquement illimité sur ce sujet : c'est un petit peu mes M. et Mme Michu à moi.

Comprenons-nous bien : ils ont un niveau d'éducation élevé et évoluent dans un milieu socio-professionnel élevé également. On est bien loin du « français moyen » (et j'ai une horreur toute particulière pour cette expression, mais elle aide à se figurer pas mal de choses).

Bref, ce sont des gens qui sont finalement ce que j'appelerais le « con moyen ». Face à un nouveau gadget informatique quelqu'il soit, le con moyen va avant tout voir ce que ça lui apporte avant même de se poser la question de ce que ça va lui coûter, soit en terme pécunier, soit en terme de vie privée.

## Bon, tu peux en venir au fait là ?

J'arrive jeune individu au sexe non-déterminé. Donc ma belle-mère ce Dimanche a commencé à partir en sucette à propos de Facebook : on y raconte n'importe quoi et il y a de plus en plus de violences dessus et de désinformation, etc…

Premier réflexe de votre serviteur : « Je ne comprends pas Belle-Maman : vous le critiquez et pourtant vous y êtes ». Stupeur à l'autre bout de la table : « Bah non, je ne suis pas sur Facebook ! ».

Je me permets alors de lui rappeler qu'elle a un compte Instagram. Pas de réaction. Je rajoute donc qu'Instagram appartient à 100% à Facebook et qu'être sur l'un ou l'autre ne change pas grand-chose : tout cela atterrit sur les mêmes serveurs, gérés par les mêmes gens (et dans les mêmes poches concernant les revenus publicitaires).

ême mon beau-père, pourtant généralement un peu poil mieux informé que ma belle-mère sur ce type de sujet, semble tomber des nues (tout est relatif hein, disons que ça l'a surpris…).

Je me suis donc retrouvé dans une position curieuse : je pensais sincèrement que les gens avaient entendu parler du rachat d'Instagram. Je pensais benoîtement que les gens étaient au courant que Facebook, Instagram et WhatsApp, c'était la même crêmerie (avec les mêmes pratiques douteuses d'ailleurs).

Donc, **non, les gens ne sont pas du tout au courant de la structure financière des services qu'ils utilisent gratuitement**. Donc, **non, les gens ne se posent pas la question de comment un truc avec 1 milliard d'utilisateurs peut fournir un service gratuitement**.

Et donc non, quand les gens finissent quand même par apprendre des scandales concernant la gestion des données personnelles sur Facebook, ils ne font pas du tout le  rapprochement avec les autres boîtes appartenant au groupe Facebook (qui ne se présente d'ailleurs quasiment jamais comme ça !).

## Et donc le rapport avec « privé »

J'y viens. Donc mon beau-père d'enchaîner : « Mais de toutes manières, mon compte, il est privé ». J'ai dû avoir, bien involontairement, un rictus assez effroyable à ce moment-là car il s'est arrêté immédiatement. Puis il a repris en m'expliquant le plus naturellement du monde qu'il choisissait qui pouvait accéder à son compte.

Pardon ?

Un compte Instagram (ou Facebook, ou Google, ou Twitter, ou tout ce qui vous voulez comme service, privateur ou non d'ailleurs) n'est pas privé :

* les administrateurs du service peuvent accéder à n'importe quel compte
* les modérateurs du service peuvent accéder à n'importe quel compte
* les administrateurs des machines sur lequel est hébergé le service peuvent accéder à n'importe quel compte
* et probablement plein d'autres petites mains, administrateurs intermédiaires, hébergeurs, etc…

Des gens qui peuvent accéder à un compte Instagram/Facebook/Twitter, ça en fait quand même un paquet. Et je ne parle même pas ici des services des différents gouvernements qui mendient régulièrement des accès.

N'est **privé** que les données qui sont sur un disque dur que vous avez acheté et sur lequel vous faites tourner un service de traitement de ces données que vous maîtrisez, soit parce que vous pouvez auditer le code, soit parce que d'autres l'ont audité et que vous faites confiance dans le résultat dudit audit.

On peut évidemment ajouter à cela les données que vous avez chiffrées avec une clé dont vous êtes le seul détenteur.

Toutes les autres données sont publiques par définition, ou en tout cas sûrement pas privées.

## Restreint ? Invisible ? Non-public ?

Et c'est bien là qu'on voit toute la perfidie derrière les dénominations même utilisées par les grandes plateformes privées sur le Web : le terme privé est extrêmement trompeur. Il sous-entend que vous et vous seul avez les accès ou la capacité à donner des accès à certaines données alors que c'est par définition faux.

Non, un message privé sur Facebook n'est pas privé. Il peut être lu par un tiers. Non un compte Instagram privé n'est pas privé. Il peut être consulté par un tiers également.

Les messages directs sur Twitter ont au moins la décence de reconnaître cet état de fait : le message n'est pas privé. Mastodon utilise une terminologie similaire mais ajoute, en guise de précision, que les messages directs peuvent effectivement être lus par les administrateurs de l'instance qui envoit et de l'instance qui reçoit le message en question.

Reste donc deux questions ouvertes :

1. Peut-on trouver un terme qui serait plus parlant ? Vous l'avez lu plus haut : restreint, non-public, invisible, sur demande seulement ? Il va falloir trouver autre chose pour désigner ces comptes, ces messages ou ces photos « privés» parce que privé, ça ne veut strictement rien dire !
2. Peut-on éventuellement tenter d'attaquer ces plateformes pour propos mensonger lorsqu'elles désignent des choses comme étant privées ? Je ne suis malheureusement pas juriste et je suis à peu près certain que les plateformes en question ont utilisé des termes suffisamment alambiquées dans les CGV pour se dédouaner de ce « petite problème d'interface » qui appelle privé des choses qui ne le sont pas.

## Foutaises

Les pratiques des grandes plateformes de Web me dégoûtent toujours un peu plus tous les jours. J'ai ce qu'on appelle une angoisse gafamique : quand j'entends parler de la dernière connerie en date de Facebook ou du prochain projet orwellien de Google ou de la prochaine plateforme d'Amazon qui va encore un peu plus centraliser l'Internet, je commence à avoir une vraie, sincère et légitime angoisse à chaque fois.

Et voilà que maintenant, même les termes les plus basiques utilisées par ces gens ont pour simple et unique but de leurrer le grand public en leur faisant croire que leurs données sont bien à l'abri derrière un solide mur de pierre.

Facebook, fais-moi plaisir et va courir vers le mur le plus proche.
