+++
title = "Que peut-il se passer le 8 juillet ?"
date = 2024-06-26
[taxonomies]
tags = [ "politique", "fiction", "république" ]
+++

_Disclaimer_ : je ne suis pas un expert en constitution. Je ne suis pas un expert en politique. Je ne suis pas un expert en quoique ce soit dans ce domaine. Mais là, je suis stressé par la situation et j’ai donc besoin d’extérioriser. Donc plutôt que de faire un TRÈÈÈÈÈÈS long poste dans Mastodon, je vais y préférer écrire ici ce que j’en pense, ce qui est possible, ce que je devine, ce que j’intuite. C’est à la fois de la prospective et un truc cathartique.

Donc rien de ce qui est écrit ici n’est à prendre au premier degré. Encore une fois, je ne suis pas un expert en quoique ce soit, j’essaie juste de comprendre la situation et de me projeter à l’après 8 juillet avec les petits moyens qui sont à ma disposition. Je vais aussi donner une sorte de probabilité que chaque scénario se produise. Encore une fois, c’est du pif 100%, je ne suis pas assez câlé, j’essaie juste d’organiser ma pensée.

<!-- more -->

# Élections législatives

Donc, le 30 juin se déroule le premier tour des élections législatives anticipées et le 7 juillet, le second tour. Dans notre mode d’élection moisi en France, il n’y a pas une élection, mais 577 micro-élections avec à chaque fois des luttes internes, des luttes locales et tout un tas d’événements qui peuvent faire basculer une élection dans un sens ou dans l’autre. Ce système me saoûle souverainement, mais je ne vais pas revenir dessus, ce n’est pas l’objet.

Les résultats sont en théorie connus aux environ de 20h pour la plupart des circonscriptions de France (bureau de vote fermant à 17h) mais peuvent se prolonger jusque tard dans la nuit. J’ai déjà vu des bureaux de vote remonter au bureau central des résultats jusqu’à 23h30. Il suffit parfois de pas grand-chose pour faire recompter une énième fois l’intégralité des bulletins pour être sûr. Et soyons clairs, sur une élection aussi serrée dans certaines circonscriptions, ce n’est pas forcément un mal de prendre le temps.

Bref, nous sommes le matin du 8 juillet, nous devons normalement avoir tous les résultats et sauf très grosse cagade ou contestation, les députés de chaque circonscription sont connus.

# Les hypothèses

## Hypothèse 1 : le Rassemblement National arrive en tête avec une majorité absolue

Jordan Bardella se retrouve Premier Ministre et on n’a pas fini de danser. Les acquis sociaux vont voler en éclat, les racistes/fascistes/connards vont se lâcher comme jamais (ça a, en vérité, déjà commencé).

Devant cette débâcle, notre Président de la République pourrait démissionner. Cela provoquerait des élections présidentielles anticipées qui permettraient de mener Marine Le Pen à la Présidence au mois de Septembre. Dans cette hypothèse, je suppose que le Président du Sénat, Gérard Larcher, assure l’intérim pendant les Jeux Olympiques (ah oui, parce qu’il ne faudrait pas les oublier ceux-là non plus). Je ne connais pas la durée légale de cet intérim.

Le dernier cas que nous avons eu est la mort de Georges Pompidou où Alain Poher, alors Président du Sénat, a assuré 1 mois et 25 jours la Présidence de la République. Cela nous mènerait à des élections tout début Septembre.

**Quelle est la probabilité pour que cela se produise ?** Pour arriver à avoir 289 sièges à l’Assemblée Nationale (le seuil pour la majorité absolue), il faudrait que le RN ramasse 200 circonscriptions de plus qu’en 2022. Malgré les scores aux Européennes, l’auto-sabotage et les renoncements démarrés il y a une grosse semaine me font dire qu’ils vont avoir plus de sièges, mais je doute fortement que ce soit autant. Après, je ne suis pas dans la tête des gens. Les sursauts, ça arrive et pas toujours dans le sens qu’on espère…

Quant à la démission du Président de la République, je pense qu’elle est peu probable dans ce cas. Il sera bien trop heureux de pouvoir taper sur son Premier Ministre à longueur de journée et il s’accomoderait très bien du programme du RN. Sans compter le fait qu’il pourrait se replier sur le « domaine réservé », un truc qui n’existe pas, mais qu’il pourrait très bien réactiver. Bref, c’est quand même le scénario du pire pour beaucoup de gens, mais passons…

## Hypothèse 2 : le Nouveau Front Populaire arrive en tête avec une majorité absolue

Quelqu’un se retrouve Premier Ministre. Comme personne ne peut blairer Jean-Luc « Moi je suis de gauche mais quand même, c’est pas possible » Mélenchon, ce n’est pas lui qui est Premier Ministre. Faure, Tondelier, qui vous voulez mais pas lui… Bref, on s’en fout.

Le Nouveau Front Populaire gouverne donc, le Rassemblement National est la principale force d’opposition et ça leur va finalement très bien. Comme Jordan est élu européen, on en entend plus parler et c’est tant mieux. Comme le programme n’est pas vraiment du goût des marchés financiers, la dette de la France est attaquée et au bout de même pas 6 mois, la note de la France se dégrade fortement et c’est le retour des politiques d’austérité. Voilà, ça c’est le côté pessimiste, mais en vrai non, ça pourrait tout aussi bien se passer correctement.

Quant au Président de la République, il pourrait aussi décider de démissionner. Personne à gauche ne voudrait se laisser faire et malgré l’alliance au Parlement, tout le monde partirait en désordre de bataille pour cette présidentielle anticipée. Au final, c’est n’importe-qui™ qui se retrouve élu et ça ne change rien, sauf s’il est du Nouveau Front Populaire auquel cas, on pourra partir vers une VIème République, pépouze, ce qui serait une bonne idée parce que visiblement la nôtre n’est plus adaptée à tout cela.

**Quelle est la probabilité pour que cela se produise ?** La NUPES, c’était péniblement 151 sièges en 2022, dont certains ont été gagnés à quelques dizaines de voix près, pour ainsi dire avec les dents. Entre deux, Bolloré a continué à faire marcher la machine à propagande à fond les ballons et la droite républicaine est tombée en miettes. Le résultat dépend donc à mon sens fortement du comportement de ces électeurs traditionnels de droite et des appeurés qui n’auraient pas voté en 2022 mais voteront en urgence ici. Quoiqu’il en soit, il faut gagner 138 circonscriptions en subissant un *bashing* permanent de la télé sur la Gauche Unie/Nouveau Front Populaire/LFI, etc…

Donc la progression me paraît possible, mais dans la douleur et avec une détermination de tous les instants. Tout le monde y croit peut-être sur le terrain, mais le soutien me paraît bien faible au regard de tout le *shitstorm* qui est pris par la gauche dans les médias traditionnels. Donc, j’ai envie d’y croire mais sincèrement, j’en doute. J’espère avoir tort, vraiment.

## Hypothèse 3 : Aucune coalition n’a la majorité absolue, aucune majorité relative ne se détache

Là, ça devient un peu plus « intéressant ». Le Président ne peut pas prononcer une nouvelle dissolution avant un an. Donc nous avons ce parlement avec 3 blocs (NFP et RN à peu près à égalité et Renaissance en chute libre) mais dont aucun ne veut céder un pouce de terrain à l’autre.

Sauf qu’ils sont vissés au Parlement pour un an minimum. D’ordinaire, la dissolution est une épée de Damoclès au-dessus de la tête du Parlement pour le discipliner ou le punir. Si le gouvernement est si peu censuré au cours de la Vème République (en comparaison avec le IIIème et la IVème), c’est justement parce qu’une censure peut amener à une dissolution et donc une redistribution des cartes. Il est donc absolument nécessaire pour l’Assemblée Nationale de bien peser les choses avant de censurer le gouvernement.

Mais là ? Et bien là, c’est un peu la fête du slip pendant un an au minimum : si un gouvernement NFP est désigné par le Président, le reste de l’Assemblée peut le censurer à loisir ; pareil côté RN ; pareil côté Renaissance. Même un gouvernement « technique » (sans majorité, juste des technocrates qui gèrent le quotidien) pourrait parfaitement se faire censurer à la moindre occasion. Et je ne vois pas très bien ce qui pourrait retenir nos chers députés. On pourrait avoir une censure par semaine s’il le fallait. Ce serait le retour à la fameuse instabilité gouvernementale de la IIIème République.

En soi, je n’y vois pas de problème. C’est un retour en force du Parlement dans la vie politique et ce n’est pas plus mal. Mais notre Vème République n’est pas vraiment conçue pour cela et on arriverait, de fait, à un blocage institutionnel. Que faire donc ? Potentiellement admettre que notre République est à bout de souffle et proposer une VIème. Ça, ce serait la réponse la plus sensée. Peut-être que l’Assemblée pourrait démissionner en entier. Ou aider à ce processus.

Bref, il faudra une solution, je ne sais pas laquelle (du tout). Ça peut être un tremplin (VIème République), comme cela peut-être le plongeon dans le chaos (installabilité gouvernementale non-maîtrisée).

Que se passerait-il alors si le Président de la République démissionnait ? C’est là que je suis un peu plus dans le flou : le nouveau Président de la République pourrait-il prononcer une dissolution ? Ou est-ce qu’il devrait de toutes manières se taper un *shitstorm* pendant un an minimum (et donc difficilement convaincre tout le monde de voter pour son parti un an plus tard) ?

## Hypothèse 3bis : Aucune coalition n’a la majorité absolue, mais une majorité relative se détache

On revient sur un scénario qui est potentiellement « gérable ». C’est comme ça que l’on vit depuis 2 ans et globalement, le Parlement est en capacité de travailler. Mais toujours pareil que dans l’hypothèse précédente : le gouvernement serait en permanence en situation de fragilité. Cela forcerait peut-être Renaissance à faire ami-ami avec le RN ou ami-ami avec le Front Populaire (ou inversement). En gros, il faudrait reprendre le bâton de pélerin et aller chercher les majorités et des compromis.

Entre nous, ce serait potentiellement une bonne chose pour nos chers partis politiques : ça permettrait d’installer une culture du compromis. Ça pourrait ouvrir la porte à une Assemblée de compromis. Ça pourrait nous sortir de l’ornière dans la situation présente : nous aurions alors un modèle qui est celui de 95% des démocraties modernes à savoir une élection proportionnelle avec une coalition de fait au pouvoir.

Maintenant, on peut aussi craindre que ça ne mène qu’à un nouveau serrage de vis dans lequel on s’assurera que quoiqu’il arrive, aucun compromis ne puisse être trouvé mais que nous ayons de nouveau un gouvernement par fait majoritaire. Si l’on fait une proportionnelle avec une prime majoritaire de 30% par exemple…

# Conclusage

Bah, j’en sais rien. Mais ça fait du bien d’imaginer ce qui pourrait se passer… Parce que franchement, c’est le merdier dans ma tête et ça fait 2-3 jours que ça tourne. Là, au moins, c’est fixé, c’est figé.
